pspell_config_personal
pspell_config_runtogether
Pspell Functions
PHP Manual

# pspell_config_repl

Set a file that contains replacement pairs

### Description

bool pspell_config_repl ( int `$dictionary_link` , string `$file` )

Set a file that contains replacement pairs.

The replacement pairs improve the quality of the spellchecker. When a word is misspelled, and a proper suggestion was not found in the list, pspell_store_replacement can be used to store a replacement pair and then pspell_save_wordlist to save the wordlist along with the replacement pairs.

pspell_config_repl should be used on a config before calling pspell_new_config.

### Parameters

`dictionary_link`

`file`

  The file should be writable by whoever PHP runs as (e.g. nobody).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 pspell_config_repl

`<?php
$pspell_config = pspell_config_create("en");
pspell_config_personal($pspell_config, "/var/dictionaries/custom.pws");
pspell_config_repl($pspell_config, "/var/dictionaries/custom.repl");
$pspell_link = pspell_new_config($pspell_config);
pspell_check($pspell_link, "thecat");
?>`

### Notes

> Note:

> This function will not work unless you have pspell .11.2 and aspell .32.5 or later.